<document>
<head>
    <name url="downloads.html">Downloads</name>
    <doc-version>$Date: 2004/02/02 21:34:23 $</doc-version>
</head>
<body>
<P>
Along with the following downloads, you can retrieve the current HEAD
developed code from CVS by following the directions <a
href="https://sourceforge.net/cvs/?group_id=22594">here</a>.
</P>
<P>
This page contains only the more recent versions of GroboUtils.  To
see the older versions, please visit the
<a href="olddownloads.html">older downloads page</a>.
You can see all the downloads from the <a
href="https://sourceforge.net/project/showfiles.php?group_id=22594">Sourceforge
File List page</a>.
</P>
<P>
Starting with v2, the GroboUtils project is under the
<a href="license.html">MIT license</a>.
</P>
<P>
<a href="CHANGES.TXT">Here are the latest change and release notes.</a>
</P>

<section>GroboUtils</section>
<UL>
    <li>v4
        <P>
        This version has been compiled and tested on these platforms:
            <OL>
<!--
                <LI>Windows 2000: Sun JDK 1.3.1, Sun JDK 1.4.1</LI>
                <LI>Windows XP: Sun JDK 1.3.1, Sun JDK 1.4.2</LI>
-->
                <LI>Red Hat Linux 9: Sun JDK 1.3.1, Sun JDK 1.4.2</LI>
<!--
                <LI>Solaris 8: Sun JDK 1.2.2, Sun JDK 1.3.1, Sun JDK 1.4.2</LI>
-->
            </OL>
        I've had problems with Sun JDK 1.2 on Windows; there are JIT errors
        which interfere with Ant's operation.  I've seen this with JDK 1.2.2_07
        to 1.2.2_010.
        </P>
        <ul>
            <li>Complete package: contains the complete binary release,
                documentation, and all project source.  Does not contain
                the 3rd party packages, or the JavaDoc from prevous releases
                (these can be separately downloaded).
                <ul>
                    <li><download file="GroboUtils-4.zip" /></li>
                    <li><download file="GroboUtils-4.tar.gz" /></li>
                    <li><download file="GroboUtils-4.tar.bz2" /></li>
                </ul>
            </li>
            <li>Complete source: contains the complete source, that could be
                downloaded from the release's CVS state.  Does not contain the
                3rd party packages, or the JavaDoc from previous releases
                (these can be searately downloaded).
                <ul>
                    <li><download file="GroboUtils-4-src.zip" /></li>
                    <li><download file="GroboUtils-4-src.tar.gz" /></li>
                    <li><download file="GroboUtils-4-src.tar.bz2" /></li>
                </ul>
            </li>

            <li><download file="GroboUtils-4-codecoverage.zip" />
                - a stand-alone distribution for the code coverage part,
                  version 1.0.0.  Note that this version is different than
                  the one in the core distribution. This archive contains a
                  getting started guide, complete Ant task documentation, the
                  JAR files, and two complete examples (they require junit.jar
                  in the Ant classpath).</li>
            <li><download file="GroboUtils-4-doc.zip" />
                - API and package documentation</li>
            <li><download file="GroboUtils-4-core.jar" />
                - complete JAR file of project classes</li>

            <li><download file="GroboUtils-4-3rdparty.tar.gz" />
                - all third-party dependency JAR files</li>
            <li><download file="GroboUtils-4-jars.zip" />
                - the sub-projects' JAR files.  Instead of being listed
                one-by-one, these are now only directly downloadable as a
                single zip file containing all the jar files.  This also now
                includes all the unit test jar files for the projects, as well.
            </li>
        </ul>
    </li>
    <li>v3
        <P>
        This version has been compiled and tested on these platforms:
            <OL>
                <LI>Windows 2000: Sun JDK 1.3.1, Sun JDK 1.4.1</LI>
                <LI>Windows XP: Sun JDK 1.3.1, Sun JDK 1.4.2</LI>
                <LI>Red Hat Linux 9: Sun JDK 1.3.1, Sun JDK 1.4.2</LI>
                <LI>Solaris 8: Sun JDK 1.2.2, Sun JDK 1.3.1, Sun JDK 1.4.2</LI>
            </OL>
        I've had problems with Sun JDK 1.2 on Windows; there are JIT errors
        which interfere with Ant's operation.  I've seen this with JDK 1.2.2_07
        to 1.2.2_010.
        </P>
        <ul>
            <li>Complete package: contains the complete binary release,
                documentation, and all project source.  Does not contain
                the 3rd party packages, or the JavaDoc from prevous releases
                (these can be separately downloaded).
                <ul>
                    <li><download file="GroboUtils-3.zip" /></li>
                    <li><download file="GroboUtils-3.tar.gz" /></li>
                    <li><download file="GroboUtils-3.tar.bz2" /></li>
                </ul>
            </li>
            <li>Complete source: contains the complete source, that could be
                downloaded from the release's CVS state.  Does not contain the
                3rd party packages, or the JavaDoc from previous releases
                (these can be searately downloaded).
                <ul>
                    <li><download file="GroboUtils-3-src.zip" /></li>
                    <li><download file="GroboUtils-3-src.tar.gz" /></li>
                    <li><download file="GroboUtils-3-src.tar.bz2" /></li>
                </ul>
            </li>

            <li><download file="GroboUtils-3-codecoverage.zip" />
                - a stand-alone distribution for the code coverage part,
                  version 1.0.0RC4.  Note that this version is different than
                  the one in the core distribution. This archive contains a
                  getting started guide, complete Ant task documentation, the
                  JAR files, and two complete examples (they require junit.jar
                  in the Ant classpath).</li>
            <li><download file="GroboUtils-3-doc.zip" />
                - API and package documentation</li>
            <li><download file="GroboUtils-3-core.jar" />
                - complete JAR file of project classes</li>

            <li><download file="GroboUtils-3-3rdparty.tar.gz" />
                - all third-party dependency JAR files</li>
            <li><download file="GroboUtils-3-jars.zip" />
                - the sub-projects' JAR files.  Instead of being listed
                one-by-one, these are now only directly downloadable as a
                single zip file containing all the jar files.  This also now
                includes all the unit test jar files for the projects, as well.
            </li>
        </ul>
    </li>
    <li>v2
        <ul>
            <li>Complete package: contains the complete binary release,
                documentation, and all project source.  Does not contain
                the 3rd party packages, or the JavaDoc from prevous releases
                (these can be separately downloaded).
                <ul>
                    <li><download file="GroboUtils-2.zip" /></li>
                    <li><download file="GroboUtils-2.tar.gz" /></li>
                </ul>
            </li>
            <li>Complete source: contains the complete source, that could be
                downloaded from the release's CVS state.  Does not contain the
                3rd party packages, or the JavaDoc from previous releases
                (these can be searately downloaded).
                <ul>
                    <li><download file="GroboUtils-2-src.zip" /></li>
                    <li><download file="GroboUtils-2-src.tar.gz" /></li>
                    <li><download file="GroboUtils-2-src.tar.bz2" /></li>
                </ul>
            </li>

            <li><download file="GroboUtils-2-doc.zip" />
                - API and package documentation</li>
            <li><download file="GroboUtils-2-core.jar" />
                - complete JAR file of project classes</li>

            <li><download file="GroboUtils-2-3rdparty.tar.gz" />
                - all third-party dependency JAR files</li>
            <li><download file="GroboUtils-2-jars.zip" />
                - the sub-projects' JAR files.  Instead of being listed
                one-by-one, these are now only directly downloadable as a
                single zip file containing all the jar files.  This also now
                includes all the unit test jar files for the projects, as well.
            </li>
        </ul>
    </li>
</UL>
</body>
</document>

